cascading.flow

## Class FlowException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - cascading.CascadingException
        - - cascading.flow.FlowException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ElementGraphException, FlowTapException, PlannerException

      public class FlowException
      extends CascadingException

  FlowException instances are thrown on errors when executing a Flow.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowException()` Constructor FlowException creates a new FlowException instance.
    `FlowException(java.lang.String message)` Constructor FlowException creates a new FlowException instance.
    `FlowException(java.lang.String flowName, java.lang.String message)` Constructor FlowException creates a new FlowException instance.
    `FlowException(java.lang.String flowName, java.lang.String message, java.lang.Throwable throwable)` Constructor FlowException creates a new FlowException instance.
    `FlowException(java.lang.String message, java.lang.Throwable throwable)` Constructor FlowException creates a new FlowException instance.
    `FlowException(java.lang.Throwable throwable)` Constructor FlowException creates a new FlowException instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFlowName()` Method getFlowName returns the name of the parent `Flow` instance.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowException

          public FlowException()

      Constructor FlowException creates a new FlowException instance.

    - #### FlowException

          public FlowException(java.lang.String message)

      Constructor FlowException creates a new FlowException instance.
      Parameters:
        `message` - of type String

    - #### FlowException

          public FlowException(java.lang.String message,
                       java.lang.Throwable throwable)

      Constructor FlowException creates a new FlowException instance.
      Parameters:
        `message` - of type String
        `throwable` - of type Throwable

    - #### FlowException

          public FlowException(java.lang.String flowName,
                       java.lang.String message,
                       java.lang.Throwable throwable)

      Constructor FlowException creates a new FlowException instance.
      Parameters:
        `flowName` - of type String
        `message` - of type String
        `throwable` - of type Throwable

    - #### FlowException

          public FlowException(java.lang.String flowName,
                       java.lang.String message)

      Constructor FlowException creates a new FlowException instance.
      Parameters:
        `flowName` - of type String
        `message` - of type String

    - #### FlowException

          public FlowException(java.lang.Throwable throwable)

      Constructor FlowException creates a new FlowException instance.
      Parameters:
        `throwable` - of type Throwable

  - ### Method Detail

    - #### getFlowName

          public java.lang.String getFlowName()

      Method getFlowName returns the name of the parent `Flow` instance.
      Returns:
        the flowName (type String) of this FlowException object.

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.